%define	tarname	Cython

Summary:	Language for writing C extensions to Python
Name:		python-cython
Version:	0.22.1
Release:	%mkrel 2
Source0:	https://pypi.python.org/packages/source/C/%{tarname}/%{tarname}-%{version}.tar.xz
License:	Apache License
Group:		Development/Python
Url:		http://www.cython.org
BuildRequires:	python-devel
BuildRequires:	dos2unix
BuildRequires:	emacs
BuildRequires:	python-setuptools
Obsoletes:	cython <= %{version}-%{release}

%description
Cython is a language that facilitates the writing of C extensions for
the Python language. It is based on Pyrex, but provides more cutting
edge functionality and optimizations.

%package -n python3-cython
Summary:	Language for writing Python 3 extension modules
Group:		Development/Python
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description -n python3-cython
Cython is a language that facilitates the writing of C extensions for
the Python 3 language. It is based on Pyrex, but provides more cutting
edge functionality and optimizations.

%prep
%setup -q -n %{tarname}-%{version}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
pushd %{py3dir}
CFLAGS="%{optflags}" %{__python3} setup.py build
popd

CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf %buildroot
find -name .*DS_Store* | xargs rm -rf
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot} 
mv %{buildroot}/usr/bin/cython %{buildroot}/usr/bin/python3-cython
mv %{buildroot}/usr/bin/cygdb %{buildroot}/usr/bin/python3-cygdb
rm -rf %{buildroot}%{python3_sitelib}/setuptools/tests
popd

%{__python} setup.py install -O1 --skip-build --root %{buildroot} 
rm -rf ${buildroot}%{python_sitelib}/setuptools/tests

pushd Tools
dos2unix cython-mode.el
emacs -batch -f batch-byte-compile cython-mode.el
%__install -m 755 -d %{buildroot}%{_sysconfdir}/emacs/site-start.d
%__install -m 644 *.el* %{buildroot}%{_sysconfdir}/emacs/site-start.d
popd


%files
%{_bindir}/cython
%{_bindir}/cygdb
%{_bindir}/cythonize
%{python_sitearch}/Cython
%{python_sitearch}/cython.py*
%{python_sitearch}/pyximport
%{python_sitearch}/Cython*egg-info
%{_sysconfdir}/emacs/site-start.d/*.el*

%files -n python3-cython
%doc *.txt Demos Doc Tools
%{python3_sitearch}/*
%{_bindir}/python3-cython
%{_bindir}/python3-cygdb
%{python3_sitearch}/Cython*egg-info



%changelog
* Sun Jul 09 2017 adrianomorselli <adrianomorselli> 0.22.1-2uplos2017
- rebuild for updates
